#!/bin/bash
# Install 32-bits deps from x86 legacy repository
pkexec dnf install -y --disablerepo=rolling \
   glibc.i586 libglvnd.i586 libmesa.i586 libdrm.i586 libstdc++6.i586 libgcc.i586 libatomic.i586 libvulkan.i586
if [ $? -ne 0 ]; then
   kdialog --msgbox "There was an error while installing Steam 32-bit dependencies.\nPlease check that you have enough free space and that the system is up-to-date before retrying."
   exit 1
fi
